LIVEDINGS(1)

NAME
livedings - graphical frontend for mididings

SYNOPSIS
livedings -p control_port -l listen_port [options]

DESCRIPTION
livedings is a graphical frontend for mididings that allows users to monitor and trigger scene changes. It runs as a separate application that uses OSC to communicate with mididings. To use it, enable the OSCInterface hook in a mididings script, specifying two unused UDP ports:

   from mididings.extra.osc import OSCInterface

   hook(OSCInterface(56418, 56419))
   ...

Then run livedings with the same port numbers:

   $ livedings -p 56418 -l 56419

The first port is used by mididings to listen for commands, the second one is used to notify livedings of scene changes.

OPTIONS

-h, --help
    show this help message and exit

-p CONTROL_PORT
    OSC port mididings is listening on

-l LISTEN_PORT
    OSC port for notifications from mididings

-T  enable custom theme and larger fonts

-x WIDTH
    width of window in pixels (640)

-y HEIGHT
    height of window in pixels (400)

-w LIST_WIDTH
    width of scene list in pixels (240)

-F FONT
    display font (Sans 14 bold)

-f LIST_FONT
    scene list font (Sans 10)

-c COLOR
    text color (gray50)

-C COLOR_HIGHLIGHT
    highlight text color (black)

-b COLOR_BACKGROUND
    background color

SEE ALSO
mididings(1)

AUTHOR
livedings was written by Dominic Sacré <dominic.sacre@gmx.de>.

This manual page was written by Alessio Treglia <alessio@debian.org>, for the Debian project (and may be used by others).